%define majver %(echo %version | cut -d. -f1-2)

Name:          kmail
Version:       16.12.1
Release:       1mamba
Summary:       KDE Frameworks 5 mail client
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/kmail-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdepim-apps-libs-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libakonadi-contacts-devel
BuildRequires: libakonadi-devel
BuildRequires: libakonadi-mime-devel
BuildRequires: libakonadi-search-devel
BuildRequires: libassuan-devel
BuildRequires: libgcc
BuildRequires: libgpg-error-devel
BuildRequires: libgpgme-devel
BuildRequires: libgravatar-devel
BuildRequires: libical-devel
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcalcore-devel
BuildRequires: libkcalutils-devel
BuildRequires: libkcmutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcontacts-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdelibs4support-devel
BuildRequires: libkdepim-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkidentitymanagement-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkldap-devel
BuildRequires: libkleo-devel
BuildRequires: libkmailtransport-devel
BuildRequires: libkmime-devel
BuildRequires: libknotifications-devel
BuildRequires: libknotifyconfig-devel
BuildRequires: libkontactinterface-devel
BuildRequires: libkparts-devel
BuildRequires: libkpimtextedit-devel
BuildRequires: libkservice-devel
BuildRequires: libksieve-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libktnef-devel
BuildRequires: libkunitconversion-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libmailcommon-devel
BuildRequires: libpimcommon-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: messagelib-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      kleopatra
Provides:      kmail4
Obsoletes:     kmail4
Obsoletes:     korn
Obsoletes:     kdepim-core
Requires:      pinentry-qt
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The KDE mail client.
This package is part of KDE5, as a component of the KDE5 kdepim module.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Obsoletes:     kdepim-core

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files
%defattr(-,root,root)
%{_sysconfdir}/xdg/*categories
%{_bindir}/akonadi_*_agent
%{_bindir}/kmail
%{_bindir}/ktnef
%{_datadir}/akonadi/agents/archivemailagent.desktop
%{_datadir}/akonadi/agents/followupreminder.desktop
%{_datadir}/akonadi/agents/mailfilteragent.desktop
%{_datadir}/akonadi/agents/sendlateragent.desktop
%{_datadir}/applications/kmail_view.desktop
%{_datadir}/applications/org.kde.kmail.desktop
%{_datadir}/applications/org.kde.ktnef.desktop
%{_datadir}/config.kcfg/archivemailagentsettings.kcfg
%{_datadir}/config.kcfg/kmail.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.kmail.kmail.xml
%{_datadir}/dbus-1/interfaces/org.kde.kmail.kmailpart.xml
%dir %{_datadir}/doc/HTML/en/akonadi_archivemail_agent
%{_datadir}/doc/HTML/en/akonadi_archivemail_agent/*
%dir %{_datadir}/doc/HTML/en/akonadi_followupreminder_agent
%{_datadir}/doc/HTML/en/akonadi_followupreminder_agent/*
%dir %{_datadir}/doc/HTML/en/akonadi_sendlater_agent
%{_datadir}/doc/HTML/en/akonadi_sendlater_agent/*
%dir %{_datadir}/doc/HTML/en/kmail
%{_datadir}/doc/HTML/en/kmail/*
%dir %{_datadir}/doc/HTML/en/ktnef
%{_datadir}/doc/HTML/en/ktnef/*
%{_datadir}/icons/hicolor/*/apps/kmail.png
%{_datadir}/icons/hicolor/*/actions/ktnef_extract_all_to.png
%{_datadir}/icons/hicolor/*/actions/ktnef_extract_to.png
%{_datadir}/icons/hicolor/*/apps/ktnef.png
%{_datadir}/icons/locolor/*/actions/ktnef_extract_all_to.png
%{_datadir}/icons/locolor/*/actions/ktnef_extract_to.png
%{_datadir}/icons/locolor/*/apps/ktnef.png
%{_datadir}/kconf_update/kmail-15.08-kickoff.sh
%{_datadir}/kconf_update/kmail.upd
%{_datadir}/kmail2/pics/pgp-keys.png
%{_datadir}/knotifications5/*.notifyrc
%{_datadir}/kontact/ksettingsdialog/*.setdlg
%{_datadir}/kservices5/ServiceMenus/kmail_addattachmentservicemenu.desktop
%{_datadir}/kservices5/*.desktop
%{_datadir}/kservices5/kontact/*.desktop
%{_kde5_servicetypesdir}/dbusmail.desktop
%dir %{_datadir}/kxmlgui5/kmail2
%{_datadir}/kxmlgui5/kmail2/*
%{_datadir}/kxmlgui5/kontactsummary/kontactsummary_part.rc
%{_datadir}/messageviewer/about/default/introduction_kmail.html
%{_datadir}/metainfo/org.kde.kmail.appdata.xml

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libkmailprivate.so.*
%{_libdir}/qt5/plugins/*.so
%doc COPYING COPYING.DOC COPYING.LIB

%changelog
* Sat Jan 28 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 16.12.1-1mamba
- package created using the webbuild interface
